summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Lyapunov2015-06-10 12:05:28 +0300
committerIvan Lyapunov2015-06-10 12:05:28 +0300
commitb35ca95fd4f6935b42b1b39f989d102d1972df27 (patch)
tree80d6212bfa1b4ee24d4006309690085625f4d15e
downloadaur-b35ca95fd4f6935b42b1b39f989d102d1972df27.tar.gz
Initial import
-rw-r--r--.AURINFO24
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD28
3 files changed, 76 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..f603bdb8e74
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,24 @@
+# Generated by makepkg 4.2.1
+# Wed Jun 10 09:04:23 UTC 2015
+pkgbase = systemtap
+ pkgdesc = SystemTap provides free software (GPL) infrastructure to simplify the gathering of information about the running Linux system.
+ pkgver = 2.7
+ pkgrel = 3
+ url = http://sourceware.org/systemtap/
+ arch = i686
+ arch = x86_64
+ arch = armv7h
+ license = GPL
+ makedepends = gcc
+ depends = elfutils
+ depends = nss
+ depends = python2
+ optdepends = sqlite3
+ optdepends = linux-fedora
+ source = http://sourceware.org/systemtap/ftp/releases/systemtap-2.7.tar.gz
+ source = .AURINFO
+ sha1sums = 5562d16446434e1a9a377697c45eb0852303ae41
+ sha1sums = SKIP
+
+pkgname = systemtap
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f603bdb8e74
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+# Generated by makepkg 4.2.1
+# Wed Jun 10 09:04:23 UTC 2015
+pkgbase = systemtap
+ pkgdesc = SystemTap provides free software (GPL) infrastructure to simplify the gathering of information about the running Linux system.
+ pkgver = 2.7
+ pkgrel = 3
+ url = http://sourceware.org/systemtap/
+ arch = i686
+ arch = x86_64
+ arch = armv7h
+ license = GPL
+ makedepends = gcc
+ depends = elfutils
+ depends = nss
+ depends = python2
+ optdepends = sqlite3
+ optdepends = linux-fedora
+ source = http://sourceware.org/systemtap/ftp/releases/systemtap-2.7.tar.gz
+ source = .AURINFO
+ sha1sums = 5562d16446434e1a9a377697c45eb0852303ae41
+ sha1sums = SKIP
+
+pkgname = systemtap
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a4f1a0a33f3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+pkgname=systemtap
+pkgver=2.7
+pkgrel=3
+pkgdesc="SystemTap provides free software (GPL) infrastructure to simplify the gathering of information about the running Linux system."
+url="http://sourceware.org/systemtap/"
+arch=('i686' 'x86_64' 'armv7h')
+license=('GPL')
+depends=('elfutils' 'nss' 'python2')
+makedepends=('gcc')
+optdepends=('sqlite3' 'linux-fedora')
+source=(http://sourceware.org/systemtap/ftp/releases/$pkgname-$pkgver.tar.gz .AURINFO)
+sha1sums=('5562d16446434e1a9a377697c45eb0852303ae41'
+ 'SKIP')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+ echo enable python2...
+ sed -i 's/python/python2/g' ${pkgdir}/usr/bin/dtrace
+}
+
+# vim:set ts=2 sw=2 et: